#!/usr/bin/node 
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const await_exec_1 = __importDefault(require("await-exec"));
const child_process_1 = require("child_process");
const colors_1 = __importDefault(require("colors"));
const rimraf_1 = __importDefault(require("rimraf"));
const data = {
    args: process.argv.slice(2),
    baseDir: "next-ts-tailwind"
};
data.args[0];
(() => __awaiter(void 0, void 0, void 0, function* () {
    try {
        yield await_exec_1.default(`git clone -b boilerplate https://github.com/Sysnomid/next-ts-tailwind.git ${data.args}`);
        process.chdir(`${data.args}`);
        const installer = child_process_1.spawn("npm", ['install'], { stdio: 'inherit' });
        console.log(colors_1.default.blue(`Happy Hacking`));
        console.log(colors_1.default.green("Installing Dependencies..."));
        return installer;
    }
    catch (error) {
        if (data.args[0] === undefined) {
            console.log(colors_1.default.red("ERROR: Please enter a project name"));
        }
        else {
            console.log(colors_1.default.red(error));
        }
        rimraf_1.default.sync(data.baseDir);
        return;
    }
}))();
//# sourceMappingURL=index.js.map